Scientific Linux Security Update : libyaml on SL6.x, SL7.x i386/x86_64

Medium Nessus Plugin ID 81074


The remote Scientific Linux host is missing one or more security updates.


An assertion failure was found in the way the libyaml library parsed wrapped strings. An attacker able to load specially crafted YAML input into an application using libyaml could cause the application to crash. (CVE-2014-9130)

All running applications linked against the libyaml library must be restarted for this update to take effect.


Update the affected libyaml, libyaml-debuginfo and / or libyaml-devel packages.

See Also

Plugin Details

Severity: Medium

ID: 81074

File Name: sl_20150128_libyaml_on_SL6_x.nasl

Version: $Revision: 1.1 $

Type: local

Agent: unix

Published: 2015/01/29

Modified: 2015/01/29

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: x-cpe:/o:fermilab:scientific_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2015/01/28

Reference Information

CVE: CVE-2014-9130